<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="67ff896a-da1b-4ff4-82fc-53490a1b4065" name="更改" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Mybatis Mapper" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="jar://$MAVEN_REPOSITORY$/org/springframework/security/spring-security-core/5.5.0/spring-security-core-5.5.0.jar!/org/springframework/security/access/expression/SecurityExpressionRoot.class" root0="SKIP_INSPECTION" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4
}</component>
  <component name="ProjectId" id="2caNHIJRIN4yRb43NRdxdybf6ur" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "JUnit.EasyballApplicationTests.testApplicationHome.executor": "Run",
    "RequestMappingsPanelOrder0": "0",
    "RequestMappingsPanelOrder1": "1",
    "RequestMappingsPanelWidth0": "75",
    "RequestMappingsPanelWidth1": "75",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "WebServerToolWindowFactoryState": "false",
    "git-widget-placeholder": "master",
    "ignore.virus.scanning.warn.message": "true",
    "last_opened_file_path": "D:/Projects/easyball_backend",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "settings.editor.selected.configurable": "preferences.pluginManager",
    "vue.rearranger.settings.migration": "true",
    "应用程序.EasyballApplication.executor": "Run"
  },
  "keyToStringList": {
    "DatabaseDriversLRU": [
      "mysql"
    ]
  }
}]]></component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Code\Java\JavaCode\Test\easyball\src\main\resources\static" />
      <recent name="D:\Code\Java\JavaCode\Test\easyball\src\main\resources" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.micer.easyball.service" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.micer.easyball.config" />
      <recent name="com.micer.easyball.utils" />
    </key>
  </component>
  <component name="RunManager" selected="应用程序.EasyballApplication">
    <configuration name="EasyballApplication" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.micer.easyball.EasyballApplication" />
      <module name="easyball" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.micer.easyball.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EasyballApplicationTests.TestBCryptPasswordEncoder" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="easyball" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.micer.easyball.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.micer.easyball" />
      <option name="MAIN_CLASS_NAME" value="com.micer.easyball.EasyballApplicationTests" />
      <option name="METHOD_NAME" value="TestBCryptPasswordEncoder" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EasyballApplicationTests.testApplicationHome" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="easyball" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.micer.easyball.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.micer.easyball" />
      <option name="MAIN_CLASS_NAME" value="com.micer.easyball.EasyballApplicationTests" />
      <option name="METHOD_NAME" value="testApplicationHome" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EasyballApplicationTests.testGameImageMapper" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="easyball" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.micer.easyball.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.micer.easyball" />
      <option name="MAIN_CLASS_NAME" value="com.micer.easyball.EasyballApplicationTests" />
      <option name="METHOD_NAME" value="testGameImageMapper" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EasyballApplicationTests.testUUID" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="easyball" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.micer.easyball.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.micer.easyball" />
      <option name="MAIN_CLASS_NAME" value="com.micer.easyball.EasyballApplicationTests" />
      <option name="METHOD_NAME" value="testUUID" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EasyballApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <option name="FRAME_DEACTIVATION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <module name="easyball" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.micer.easyball.EasyballApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="应用程序.EasyballApplication" />
        <item itemvalue="JUnit.EasyballApplicationTests.testApplicationHome" />
        <item itemvalue="JUnit.EasyballApplicationTests.testUUID" />
        <item itemvalue="JUnit.EasyballApplicationTests.TestBCryptPasswordEncoder" />
        <item itemvalue="JUnit.EasyballApplicationTests.testGameImageMapper" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="67ff896a-da1b-4ff4-82fc-53490a1b4065" name="更改" comment="" />
      <created>1708345641279</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1708345641279</updated>
      <workItem from="1708345642464" duration="5712000" />
      <workItem from="1708359577428" duration="1714000" />
      <workItem from="1708361333747" duration="2722000" />
      <workItem from="1708406690979" duration="20231000" />
      <workItem from="1708445089606" duration="2015000" />
      <workItem from="1708488410362" duration="76000" />
      <workItem from="1708495127952" duration="2966000" />
      <workItem from="1708498103526" duration="3496000" />
      <workItem from="1708518949906" duration="540000" />
      <workItem from="1708521085060" duration="57000" />
      <workItem from="1708524298545" duration="1215000" />
      <workItem from="1708670486368" duration="3921000" />
      <workItem from="1708761797650" duration="11555000" />
      <workItem from="1708788310181" duration="34000" />
      <workItem from="1708788350442" duration="1783000" />
      <workItem from="1708915955923" duration="15334000" />
      <workItem from="1708938669893" duration="449000" />
      <workItem from="1708939125676" duration="461000" />
      <workItem from="1708939687047" duration="568000" />
      <workItem from="1708940507817" duration="1899000" />
      <workItem from="1709010580458" duration="17602000" />
      <workItem from="1709098503667" duration="5702000" />
      <workItem from="1709207573862" duration="6946000" />
      <workItem from="1709275264041" duration="1000" />
      <workItem from="1709275288802" duration="9449000" />
      <workItem from="1709362446725" duration="9820000" />
      <workItem from="1709443307494" duration="7847000" />
      <workItem from="1709455847982" duration="163000" />
      <workItem from="1709456038903" duration="31000" />
      <workItem from="1709540511169" duration="140000" />
      <workItem from="1709547152511" duration="772000" />
      <workItem from="1710137088806" duration="576000" />
      <workItem from="1710140637574" duration="573000" />
      <workItem from="1710225816240" duration="487000" />
      <workItem from="1710300452914" duration="160000" />
      <workItem from="1710302994855" duration="697000" />
      <workItem from="1710506514771" duration="1247000" />
      <workItem from="1710563857566" duration="346000" />
      <workItem from="1710829782486" duration="72000" />
      <workItem from="1710830009382" duration="791000" />
      <workItem from="1710917118949" duration="729000" />
      <workItem from="1710924372666" duration="781000" />
      <workItem from="1710950043707" duration="3000" />
      <workItem from="1711010544503" duration="1161000" />
      <workItem from="1711084186556" duration="3161000" />
      <workItem from="1711099804545" duration="1268000" />
      <workItem from="1711101227143" duration="6374000" />
      <workItem from="1711113945276" duration="3296000" />
      <workItem from="1711257115438" duration="4000" />
      <workItem from="1711261778536" duration="7000" />
      <workItem from="1711261815175" duration="27000" />
      <workItem from="1711265745986" duration="986000" />
      <workItem from="1711798358033" duration="904000" />
      <workItem from="1711947155149" duration="2379000" />
      <workItem from="1711959695253" duration="1144000" />
      <workItem from="1711961218551" duration="1542000" />
      <workItem from="1711974601401" duration="5281000" />
      <workItem from="1712044462916" duration="2938000" />
      <workItem from="1712121500468" duration="4143000" />
      <workItem from="1712211016611" duration="2436000" />
      <workItem from="1712241568370" duration="707000" />
      <workItem from="1712297955410" duration="333000" />
      <workItem from="1712299818997" duration="624000" />
      <workItem from="1712301110713" duration="12000" />
      <workItem from="1712301129896" duration="34000" />
      <workItem from="1712496892930" duration="1910000" />
      <workItem from="1712498966266" duration="274000" />
      <workItem from="1712559568159" duration="21000" />
      <workItem from="1712560189641" duration="712000" />
      <workItem from="1712562009790" duration="11000" />
      <workItem from="1713157261216" duration="1112000" />
      <workItem from="1713158400999" duration="94000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnknownFeatures">
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-core" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.security:spring-security-core" />
    <option featureType="dependencySupport" implementationName="executable:docker" />
    <option featureType="dependencySupport" implementationName="java:com.google.protobuf:protobuf-java" />
    <option featureType="dependencySupport" implementationName="java:io.projectreactor:reactor-core" />
    <option featureType="dependencySupport" implementationName="executable:kubectl" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.data:spring-data-commons" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.boot:spring-boot" />
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-webmvc" />
    <option featureType="dependencySupport" implementationName="java:org.projectlombok:lombok" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint type="java-exception">
          <properties class="com.alibaba.fastjson2.JSONException" package="com.alibaba.fastjson2" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint type="java-exception">
          <properties class="java.sql.SQLSyntaxErrorException" package="java.sql" />
          <option name="timeStamp" value="8" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <pin-to-top-manager>
      <pinned-members>
        <PinnedItemInfo parentTag="java.util.HashMap$Node" memberName="key" />
      </pinned-members>
    </pin-to-top-manager>
  </component>
  <component name="github-copilot-workspace">
    <instructionFileLocations>
      <option value=".github/instructions" />
    </instructionFileLocations>
    <promptFileLocations>
      <option value=".github/prompts" />
    </promptFileLocations>
  </component>
</project>